/*
 * $Id: ezclient.c 1.5 1997/01/31 20:07:10 hali Testing $ - Elan Computer Group, Inc. (c) 1996
 * Copyright (c) 1996 Elan Computer Group, Inc.
 * All Rights Reserved.
 ****************************************************************************
 * ezclient.c - A sample Elan License Manager application using the EZ API.
 *
 * Refer to simple.c for an example using Elan's simple (standard) API.
 * Refer to client.c for a more complicated client using more functions.
 ****************************************************************************
 *
 * Usage: ezclient [feature]
 * Set environment variable ELMHOST to your server name.
 */

#include <stdio.h>
#include "slm.h"

#define DEFAULT_FEATURE		"99"

#define NO_EZCALLBACK ((EZFUNC)0)

#ifdef ANSI_C
int main (int argc, char **argv )  {
#else 
int main (argc, argv) char **argv; {        
#endif
	char *errstring,
	     *feature = (argc > 1) ? argv[1]:DEFAULT_FEATURE;
	int i;
	int counter;

	/* Check out license */
	if (errstring = ez_checkout (feature, (char *)0, NO_EZCALLBACK)) {
		printf ("%s.\n", errstring);
		exit (1);
	}

	printf("License for \"%s\" obtained from \"%s\".\n", feature, ez_server);

	/* Body of application here */
	for (i = 24; i > 0; i--) {
		printf ("I'm still running. %d seconds to go.\n", i * 5);
#if defined (WINDOWS_31) 
	/* UNLICENSED CODE REMOVED */
#else           
		slu_sleep (5);
#endif
	}

	ez_checkin (feature);			/* Check in license */
	return (0);
}
